import {postAction,getAotion,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 获取县分下拉列表
let getSubstList = (params) => postAction(prefix + "/school/schoolManagement/substList" , params);
// 获取学校下拉列表
let getSchoolList = (params) => postAction(prefix + "/school/schoolManagement/schoolList" , params);
// 获取活动列表
let getList = (params) => postAction(prefix + "/salesOrders/list" , params);

// 删除
let deleteOrder = (params) => postAction(prefix + "/salesOrders/deleteOrder" , params);

// 下载放号上传模板
let downloadTemplateFH = (params) => downFilePost(prefix + "/salesOrders/downloadTemplateFH" , params);

// 下载充值审核模板
let downloadTemplateCZ = (params) => downFilePost(prefix + "/salesOrders/downloadTemplateCZ" , params);

// 上传图片
// let uploadImg = (params) => postAction(prefix + "/salesOrders/uploadImg" , params);

// 下载导入结果清单
let downloadResult = (params) => downFilePost(prefix + "/salesOrders/exportResult" , params);

// 导出订单
let exportList = (params) => downFilePost(prefix + "/salesOrders/exportOrderList" , params);

export {
    getList,deleteOrder,getSubstList,getSchoolList,downloadTemplateFH,downloadTemplateCZ,
    downloadResult,exportList
}
